import { axios } from '@/utils/request'
// 获取配件的标签
export const getPartLabels = (params) => {
  return axios.request({
    url: 'label/queryList',
    data: { lableBizKey: '', lableBizType: 'PART' },
    method: 'post'
  })
}
// 配件信息, labels = [{id:id},...]
export const getAccessoryInfoData = (params) => {
  return axios.request({
    url: `part/queryLike/${params.pageNo}/${params.pageSize}`,
    data: {
      queryWord: params.queryWord,
      partsClsId: params.partsClsId,
      labels: params.labels
    },
    method: 'post'
  })
}
// 添加
export const addAccessoryInfo = (params) => {
  return axios.request({
    url: 'part/save',
    data: params,
    method: 'post'
  })
}
export const getAccessoryInfoById = (params) => {
  return axios.request({
    url: `part/${params.id}`,
    method: 'get'
  })
}
// 删除
export const deleteAccessoryInfo = (params) => {
  return axios.request({
    url: `part/del/${params.id}`,
    method: 'get'
  })
}
