import { axios } from '@/utils/request'

// 活动统计查询
export const activeList = params => {
  const url = `/active/queryLike/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize

  return axios.request({
    url: url,
    data: params,
    method: 'post'
  })
}

// 活动总数统计及参与客户总数
export const totalActive = params => {
  return axios.request({
    url: '/active/getSum',
    data: params,
    method: 'post'
  })
}

// 查看详情
export const activeDetails = params => {
  const url = `/active/mould/${params.id}/${params.pageNo}/${params.pageSize}`
  return axios.request({
    url: url,
    data: {},
    method: 'get'
  })
}

// 保存新建的活动
export const saveActive = params => {
  return axios.request({
    url: '/active/save',
    data: params,
    method: 'post'
  })
}

// 预览scan
export const scanActive = params => {
  return axios.request({
    url: '/active/scan',
    data: params,
    method: 'post'
  })
}

// 查看活动详细
export const activeViews = params => {
  const url = `/active/${params.id}`
  return axios.request({
    url: url,
    method: 'get'
  })
}
// 删除活动模版
export const delActive = params => {
  const url = `/active/delete/${params.id}`
  return axios.request({
    url: url,
    method: 'get'
  })
}

// 启用禁用活动
export const enableActive = params => {
  const url = `/active/enable/${params.id}/${params.flag}`
  return axios.request({
    url: url,
    method: 'get'
  })
}
