import { axios } from '@/utils/request'

// 服务项目
export const getServiceItemData = (params) => {
  const url = `item/queryLike/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios.request({
    url: url,
    data: params,
    method: 'post'
  })
}
export const getServiceItemById = (params) => {
  return axios.request({
    url: `item/${params.id}`,
    method: 'get'
  })
}
export const deleteServiceItem = (params) => {
  return axios.request({
    url: `item/del/${params.id}`,
    method: 'get'
  })
}
// 添加
export const addServiceItems = (params) => {
  return axios.request({
    url: 'item/save',
    data: params,
    method: 'post'
  })
}
// 获取某个服务类型下单服务标签
export const getServiceLabels = (params) => {
  return axios.request({
    url: 'label/queryList',
    data: { lableBizKey: params.clsId, lableBizType: 'SERVICE' },
    method: 'post'
  })
}
// 根据标签查询服务列表
export const getServerByLabelId = (params) => {
  return axios.request({
    url: `item/queryByLabelId/${params.pageNo}/${params.pageSize}`,
    data: {
      name: params.queryWord,
      itemClsId: params.itemClsId,
      labelId: params.labelId
    },
    method: 'post'
  })
}
// 根据服务类别获取标签
export const getMarkData = (params) => {
  return axios.request({
    url: '/label/getLabelName',
    data: params,
    method: 'post'
  })
}
