// eslint-disable-next-line
import {
  UserLayout,
  BasicLayout,
  RouteView,
  BlankLayout,
  PageView
} from '@/layouts'

export const asyncRouterMap = [{
  path: '/',
  name: 'index',
  component: BasicLayout,
  meta: {
    title: '首页'
  },
  redirect: '/home',
  children: [{
    path: '/home',
    name: 'home',
    redirect: '/home',
    component: PageView,
    meta: {
      title: '首页',
      icon: 'home'
    },
    hideChildrenInMenu: true,
    children: [{
      path: '/home',
      name: 'home',
      component: () => import(/* webpackChunkName: "home" */ '@/views/Home'),
      meta: {
        title: '首页',
        icon: 'home',
        hide: true
      }
    }
    ]
  },
  {
    path: '/changePwd',
    name: 'changePwd',
    component: () => import(/* webpackChunkName: "home" */ '@/views/user/ChangePwd'),
    meta: {
      title: '修改密码',
      icon: 'home'
    },
    hidden: true
  },
  // 销售管理
  {
    path: '/sales',
    redirect: '/sales/salesList',
    component: PageView,
    meta: {
      title: '销售管理',
      icon: 'lock',
      permission: 'M_auth_0'
    },
    children: [{
      path: 'salesList',
      name: 'salesList',
      hideChildrenInMenu: true,
      component: () => import(/* webpackChunkName: "sales" */ '@/views/sales/salesList.vue'),
      meta: {
        title: '销售单查询',
        icon: 'user'
        // permission: 'M_sales_List'
      },
      children: [
        {
          path: '/sales/newSales',
          name: 'newSales',
          component: () => import(/* webpackChunkName: "sales" */ '@/views/sales/newSales.vue'),
          meta: {
            title: '新建销售单',
            icon: 'solution'
            // permission: 'M_sales_newSales'
          }
        },
        {
          path: '/sales/editSales',
          name: 'editSales',
          component: () => import(/* webpackChunkName: "sales" */ '@/views/sales/newSales.vue'),
          meta: {
            title: '修改销售单',
            icon: 'solution'
            // permission: 'M_sales_editSales'
          }
        }
      ]
    },
    {
      path: 'stockOutList',
      name: 'stockOutList',
      hideChildrenInMenu: true,
      component: () => import(/* webpackChunkName: "sales" */ '@/views/sales/stockOutList.vue'),
      meta: {
        title: '出库',
        icon: 'solution'
        // permission: 'M_stockOut_list'
      },
      children: [
        {
          path: '/stockOutDetail',
          name: 'stockOutDetail',
          component: () => import(/* webpackChunkName: "sales" */ '@/views/sales/stockOutDetail.vue'),
          meta: {
            title: '出库明细',
            icon: 'solution'
            // permission: 'M_stockOut_detail'
          }
        }
      ]
    },
    {
      path: 'dispatchList',
      name: 'dispatchList',
      hideChildrenInMenu: true,
      component: () => import(/* webpackChunkName: "sales" */ '@/views/sales/dispatchList.vue'),
      meta: {
        title: '急件冲减',
        icon: 'solution'
        // permission: 'M_dispatch_list'
      },
      children: [
        {
          path: '/dispatchDetail',
          name: 'dispatchDetail',
          component: () => import(/* webpackChunkName: "sales" */ '@/views/sales/dispatchDetail.vue'),
          meta: {
            title: '急件明细',
            icon: 'solution'
            // permission: 'M_sdispatch_detail'
          }
        }
      ]
    },
    {
      path: 'returnedList',
      name: 'returnedList',
      hideChildrenInMenu: true,
      component: () => import(/* webpackChunkName: "sales" */ '@/views/sales/returnedList.vue'),
      meta: {
        title: '销售退货',
        icon: 'solution'
        // permission: 'M_returned_list'
      },
      children: [
        {
          path: '/sales/newReturned',
          name: 'newReturned',
          component: () => import(/* webpackChunkName: "sales" */ '@/views/sales/newReturned.vue'),
          meta: {
            title: '新建退货单',
            icon: 'solution'
            // permission: 'M_newReturned'
          }
        },
        {
          path: '/sales/newReturned',
          name: 'editReturned',
          component: () => import(/* webpackChunkName: "sales" */ '@/views/sales/newReturned.vue'),
          meta: {
            title: '修改退货单',
            icon: 'solution'
            // permission: 'M_editReturned'
          }
        },
        {
          path: '/returnedDetail',
          name: 'returnedDetail',
          component: () => import(/* webpackChunkName: "sales" */ '@/views/sales/returnedDetail.vue'),
          meta: {
            title: '退货单详情',
            icon: 'solution'
            // permission: 'M_sdispatch_detail'
          }
        }
      ]
    },
    {
      path: 'customerList',
      name: 'customerList',
      component: () => import(/* webpackChunkName: "sales" */ '@/views/sales/customerList.vue'),
      meta: {
        title: '客户管理',
        icon: 'solution'
        // permission: 'M_customer_list'
      }
    }
    ]
  },
  // 库存管理
  {
    path: '/inventory',
    redirect: '/inventory/list',
    component: PageView,
    meta: {
      title: '库存管理',
      icon: 'lock'
      // permission: 'M_inventory_0'
    },
    children: [
      {
        path: 'list',
        name: 'inventoryList',
        hideChildrenInMenu: true,
        component: () => import(/* webpackChunkName: "inventory" */ '@/views/inventory/inventoryList.vue'),
        meta: {
          title: '库存查询',
          icon: 'user'
        // permission: 'M_inventoryList'
        },
        children: [
          {
            path: '/outPutDetail',
            name: 'outPutDetail',
            component: () => import(/* webpackChunkName: "inventory" */ '@/views/inventory/outPutDetail.vue'),
            meta: {
              title: '出入库明细',
              icon: 'solution'
              // permission: 'M_outPutDetail'
            }
          }
        ]
      },
      {
        path: 'warehouseList',
        name: 'warehouseList',
        hideChildrenInMenu: true,
        component: () => import(/* webpackChunkName: "inventory" */ '@/views/inventory/warehouseList.vue'),
        meta: {
          title: '仓库管理',
          icon: 'user'
        // permission: 'M_warehouseList'
        }
      },
      {
        path: 'warning',
        name: 'inventoryWarning',
        hideChildrenInMenu: true,
        component: () => import(/* webpackChunkName: "inventory" */ '@/views/inventory/inventoryWarning.vue'),
        meta: {
          title: '库存预警',
          icon: 'user'
        // permission: 'M_inventoryWarning'
        }
      },
      {
        path: 'satelliteStorage',
        name: 'satelliteStorage',
        hideChildrenInMenu: true,
        component: () => import(/* webpackChunkName: "inventory" */ '@/views/inventory/satelliteStorage.vue'),
        meta: {
          title: '卫星仓库存',
          icon: 'user'
        // permission: 'M_satelliteStorage'
        }
      }
    ]
  },
  // 采购管理
  // 散件管理
  // 产品管理
  // 基础资料
  // 财务管理
  // auth
  {
    path: '/auth',
    redirect: '/auth/userList',
    component: PageView,
    meta: {
      title: '权限管理',
      icon: 'lock',
      permission: 'M_auth_0'
    },
    children: [{
      path: '/auth/userList',
      name: 'powerUserList',
      component: () => import(/* webpackChunkName: "auth" */ '@/views/power/user/userList.vue'),
      meta: {
        title: '用户管理',
        icon: 'user',
        permission: 'M_auth_userList'
      }
    },
    {
      path: '/auth/roleList',
      name: 'powerRoleList',
      component: () => import(/* webpackChunkName: "auth" */ '@/views/power/role/roleList.vue'),
      meta: {
        title: '角色管理',
        icon: 'solution',
        permission: 'M_auth_roleList'
      }
    }
    ]
  },
  {
    path: '/setting',
    redirect: '/setting/userList',
    component: PageView,
    meta: {
      title: '系统设置',
      icon: 'setting',
      permission: 'M_setting_0'
    },
    children: [{
      path: '/setting/dataDictionary',
      name: 'powerDD',
      component: () => import(/* webpackChunkName: "setting" */
        '@/views/power/dataDictionary/dataDictionary.vue'),
      meta: {
        title: '数据字典管理',
        icon: 'database',
        permission: 'M_sys_dataDictionary'
      }
    },
    {
      path: '/setting/register',
      name: 'powerRegister',
      component: () => import(/* webpackChunkName: "setting" */ '@/views/power/register/register.vue'),
      meta: {
        title: '参数管理',
        icon: 'key',
        permission: 'M_sys_register'
      }
    },
    {
      path: '/setting/OperateJournal',
      name: 'powerOperateJournal',
      component: () => import(/* webpackChunkName: "setting" */
        '@/views/power/OperateJournal/OperateJournal.vue'),
      meta: {
        title: '操作日志',
        icon: 'read',
        permission: 'M_operateJournal'
      }
    }
    ]
  }
  ]
},
{
  path: '*',
  redirect: '/404',
  hidden: true
}
]

/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [{
  path: '/user',
  component: UserLayout,
  redirect: '/user/login',
  hidden: true,
  children: [{
    path: 'login',
    name: 'login',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/Login')
  },
  {
    path: 'register',
    name: 'register',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/Register')
  },
  {
    path: 'register-result',
    name: 'registerResult',
    component: () => import(/* webpackChunkName: "user" */ '@/views/user/RegisterResult')
  },
  {
    path: 'recover',
    name: 'recover',
    component: undefined
  }
  ]
},
{
  path: '/404',
  component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/404')
}

]
